<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/hl7v3/pix/source/iti44template.xhtml">
            <ui:param name="iti44Bean" value="#{patientIdentityMergeBean}"/>
            <ui:param name="pageTitle" value="#{messages['gazelle.pam.PatientIdentityMerge']}"/>
            <ui:define name="ddsButtons">
                <a4j:commandButton id="generateButton"
                                   value="#{messages['gazelle.simulator.pam.GenerateIncorrectPatient']}"
                                   actionListener="#{patientIdentityMergeBean.generateIncorrectPatient()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel"/>
                <a4j:commandButton id="generateButton2"
                                   value="#{messages['gazelle.simulator.pam.GenerateTargetPatient']}"
                                   actionListener="#{patientIdentityMergeBean.generateCorrectPatient()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel"/>
            </ui:define>
            <ui:define name="helpText">
                <h:outputText
                        value="#{messages['gazelle.pam.SelectTwoPatientsToMergeOrGenerateOneOfThemorEve']}"
                        styleClass="help-block"/>
            </ui:define>
            <ui:define name="actionOnPatientColumn">
                <g:column id="actionColumn">
                    <f:facet name="header">#{messages['gazelle.simulator.pam.Action']}</f:facet>
                    <div class="gzl-never-wrap">
                        <h:outputLink
                                value="#{patient.getPermanentLink()}"
                                target="_blank"
                                title="#{messages['gazelle.pam.ViewDetails']}">
                            <s:span styleClass="gzl-icon-search "/>
                        </h:outputLink>
                        <a4j:commandLink
                                actionListener="#{patientIdentityMergeBean.setCorrectPatient(patient)}"
                                render="messageConfigurationPanel"
                                title="#{messages['gazelle.pam.MarkAsCorrectPatient']}" execute="@this">
                            <s:span styleClass="gzl-icon-checked "/>
                        </a4j:commandLink>
                        <a4j:commandLink
                                actionListener="#{patientIdentityMergeBean.setIncorrectPatient(patient)}"
                                render="messageConfigurationPanel"
                                title="#{messages['gazelle.pam.MarkAsIncorrectPatient']}" execute="@this">
                            <s:span styleClass="gzl-icon-times "/>
                        </a4j:commandLink>
                    </div>
                </g:column>
            </ui:define>
            <ui:define name="selectedPatientDivInsert">
                <ui:include src="/patient/_mergePatientsPanel.xhtml">
                    <ui:param name="managedBean" value="#{patientIdentityMergeBean}"/>
                </ui:include>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>